#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: lifted-base
version: 0.2.3.12
id: lifted-base-0.2.3.12-FdTgiCxwnvG4bzcNeii3f6
key: lifted-base-0.2.3.12-FdTgiCxwnvG4bzcNeii3f6
license: BSD3
copyright: (c) 2011-2012 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/lifted-base
synopsis: lifted IO operations from the base library
description:
    @lifted-base@ exports IO operations from the base library lifted to
    any instance of '\''MonadBase'\'' or '\''MonadBaseControl'\''.
    .
    Note that not all modules from @base@ are converted yet. If
    you need a lifted version of a function from @base@, just
    ask me to add it or send me a patch.
    .
    The package includes a copy of the @monad-peel@ testsuite written
    by Anders Kaseorg The tests can be performed using @cabal test@.
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
indefinite: False
exposed-modules:
    Control.Concurrent.Chan.Lifted Control.Concurrent.Lifted
    Control.Concurrent.MVar.Lifted Control.Concurrent.QSem.Lifted
    Control.Concurrent.QSemN.Lifted Control.Exception.Lifted
    Data.IORef.Lifted Foreign.Marshal.Utils.Lifted
    System.Timeout.Lifted
abi: 69f8e20d56d646f8c21a0cacb2949476
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/lifted-base-0.2.3.12
library-dirs: /usr/lib/ghc-8.2.2/site-local/lifted-base-0.2.3.12
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/lifted-base-0.2.3.12
hs-libraries: HSlifted-base-0.2.3.12-FdTgiCxwnvG4bzcNeii3f6
includes:
    inlinable.h
depends:
    base-4.10.1.0 transformers-base-0.4.4-E8cVJ8zOMCQDdcbsfJzxdl
    monad-control-1.0.2.3-CW8aHbBnYkIJ7WUS7rCN00
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             transformers-base-0.4.4-E8cVJ8zOMCQDdcbsfJzxdl=ea95310fa3f7f52b12b6f48401dbc7cd
             monad-control-1.0.2.3-CW8aHbBnYkIJ7WUS7rCN00=cb463f07760413dcfa98bc749bfae003
haddock-interfaces: /usr/share/doc/haskell-lifted-base/html/lifted-base.haddock
haddock-html: /usr/share/doc/haskell-lifted-base/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

